## org.apache.commons.collections.map
Class AbstractHashedMap.KeySetIterator

    java.lang.Object
      org.apache.commons.collections.map.AbstractHashedMap.HashIterator
          org.apache.commons.collections.map.AbstractHashedMap.EntrySetIterator
              org.apache.commons.collections.map.AbstractHashedMap.KeySetIterator

All Implemented Interfaces:
  Iterator

Enclosing class:
  AbstractHashedMap

protected static class AbstractHashedMap.KeySetIterator
extends AbstractHashedMap.EntrySetIterator

KeySet iterator.

Field Summary

Fields inherited from class org.apache.commons.collections.map.AbstractHashedMap.HashIterator
`expectedModCount, hashIndex, last, next, parent`

Constructor Summary
`protected` `AbstractHashedMap.KeySetIterator(AbstractHashedMap parent)`

Method Summary
`Object` `next()`

Methods inherited from class org.apache.commons.collections.map.AbstractHashedMap.HashIterator
`currentEntry, hasNext, nextEntry, remove, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractHashedMap.KeySetIterator

    protected AbstractHashedMap.KeySetIterator(AbstractHashedMap parent)

Method Detail

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`
  Overrides:
    `next` in class `AbstractHashedMap.EntrySetIterator`

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.